<?php
/**
 * Template Name: Add Idea
 */
?>

<div class="main add-listing fl">

	<?php appthemes_before_page_loop(); ?>

	<?php while ( have_posts() ) : the_post(); ?>

		<?php appthemes_before_page(); ?>

		<?php get_template_part( 'content', 'page' ); ?>

		<div id="add-idea-wrap">
			<form id="add-idea" class="commentform" enctype="multipart/form-data" method="post" action="<?php echo esc_url( ideax_get_add_idea_url() ); ?>">

				<?php wp_nonce_field( 'ideax_add_idea' ); ?>

				<p class="idea-topic">
					<label for="post_title"><?php _e( 'I wish you had...', APP_TD ); ?></label>
					<input id="post_title" name="post_title" class="gradient required" type="text" value="" size="30" placeholder="<?php esc_attr_e( 'Enter your idea', APP_TD ); ?>" />
				</p>

				<p class="idea-category">
					<label for="idea-category"><?php _e( 'Category', APP_TD ); ?></label>
					<?php the_idea_edit_categories_field(); ?>
				</p>

				<p class="idea-description">
					<label for="post_content"><?php _e( 'Description', APP_TD ); ?></label>
					<?php wp_editor( '', 'post_content', array( 'media_buttons' => false, 'textarea_name' => 'post_content', 'textarea_rows' => 10, 'tabindex' => '', 'editor_class' => 'required', 'teeny' => false, 'tinymce' => false, 'quicktags' => array( 'buttons' => 'strong,em,link,ul,li' ) ) ); ?>
					<label for="post_content" generated="true" class="error"></label>
				</p>

				<p class="idea-tags">
					<label for="idea_tags"><?php _e( 'Tags', APP_TD ); ?></label>
					<input id="idea_tags" name="idea_tags" class="gradient" type="text" value="" size="30" />
				</p>

				<?php do_action( 'ideax_add_idea_form' ); ?>

				<p class="form-submit">
					<input name="submit" type="submit" class="listing-submit cta-gradient cta-button gradient" value="<?php esc_attr_e( 'Submit Your Idea', APP_TD ); ?>" />
				</p>

				<input type="hidden" name="action" value="add-idea" />
				<input type="hidden" name="ID" value="0" />

			</form>  
		</div>

		<?php appthemes_after_page(); ?>

	<?php endwhile; ?>

	<?php appthemes_after_page_loop(); ?>

</div><!-- /#main -->

<?php get_sidebar( 'add-idea' ); ?>

