
<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'listing', 'box-shadow', 'drop-shadow', 'lifted' ) ); ?> itemscope itemtype="http://schema.org/BlogPosting">

	<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
		<div class="featured-post"><?php _e( 'Featured Post', APP_TD ); ?></div>
	<?php endif; ?>

	<?php appthemes_before_blog_post_title(); ?>

	<?php if ( comments_open() ) : ?>
		<div class="comments-link fr">
			<?php comments_popup_link( 0, 1, '%', 'comment-count', '' ); ?>
		</div><!-- .comments-link -->
	<?php endif; // comments_open() ?>

	<?php if ( is_single() ) : ?>
		<h2 class="entry-title" itemprop="name headline"><?php the_title(); ?></h2>
	<?php else : ?>
		<h2 class="entry-title" itemprop="name headline"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
	<?php endif; ?>

	<?php appthemes_after_blog_post_title(); ?>

	<section class="overview clear">

		<?php appthemes_before_blog_post_content(); ?>

		<?php if ( has_post_thumbnail() ) : ?>
			<div class="post-thumbnail">
				<?php the_post_thumbnail(); ?>
			</div>
			<meta itemprop="thumbnailUrl" content="<?php esc_attr_e( wp_get_attachment_thumb_url( get_post_thumbnail_id() ) ); ?>" />
		<?php endif; ?>

		<div class="post-content" itemprop="articleBody">
			<?php the_content( __( 'Continue reading', APP_TD ) . '<span class="meta-nav">&rarr;</span>' ); ?>
		</div>

		<?php appthemes_after_blog_post_content(); ?>

		<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', APP_TD ), 'after' => '</div>' ) ); ?>

	</section>

	<footer class="entry-meta">
		<?php ideax_entry_meta(); ?> <?php edit_post_link( __( 'Edit', APP_TD ), '<small>|</small> <span class="edit-link">', '</span>' ); ?>
	</footer>

</article>
