<?php
// Template Name: Login
?>

<div class="main fullwidth login">
	<div class="listing box-shadow drop-shadow lifted">
		<div class="listing-info-container">
			<div class="listing-info">

				<?php do_action( 'appthemes_notices' ); ?>

				<h3><?php _e( 'Account Login', APP_TD ); ?></h3>

				<div id="login">
					<form action="<?php echo appthemes_get_login_url( 'login_post' ); ?>" method="post" class="login-form" id="login-form">
						<p>
							<label for="login_username"><?php _e( 'Username:', APP_TD ); ?></label>
							<input tabindex="1" type="text" name="log" id="login_username" value="" class="required valid" autofocus="">
						</p>
						<p>
							<label for="login_password" class="fl"><?php _e( 'Password:', APP_TD ); ?></label>
							<a id="forgot-link" href="<?php echo appthemes_get_password_recovery_url(); ?>" class="fr"><?php _e( 'Forgot Password?', APP_TD ); ?></a>
							<input tabindex="2" type="password" name="pwd" id="login_password" class="required">
						</p>
						<p class="forgetmenot fl">
							<label for="rememberme">
								<input tabindex="3" name="rememberme" type="checkbox" id="rememberme" value="forever">
								<?php _e( 'Remember me', APP_TD ); ?>
							</label>
						</p>
						<p class="submit">
							<input tabindex="4" type="submit" id="login" name="login" class="login-submit cta-gradient cta-button gradient" value="<?php _e( 'Login', APP_TD ); ?>" />
							<?php echo APP_Login::redirect_field(); ?>
							<input type="hidden" name="testcookie" value="1" />
						</p>

						<?php do_action( 'login_form' ); ?>

						<!-- autofocus the field -->
						<script type="text/javascript">try{document.getElementById('login_username').focus();}catch(e){}</script>

					</form>
				</div><!-- #login -->

			</div><!-- /.listing-info -->
		</div><!-- /.listing-info-containe -->
	</div><!-- /.listing -->
</div><!-- /.fullwidth -->
