<div class="main fullwidth">

	<?php appthemes_before_page_loop(); ?>

	<?php while ( have_posts() ) : the_post(); ?>

		<?php appthemes_before_page(); ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class( 'image-attachment' ); ?> itemscope itemtype="http://schema.org/Photograph">

			<?php appthemes_before_page_title(); ?>

			<div class="section-head-container clear">
				<div class="section-head">
					<h2 class="entry-title" itemprop="name headline"><?php the_title(); ?></h2>

					<div class="section-meta">
						<?php
							$metadata = wp_get_attachment_metadata();
							printf( __( '<span class="meta-prep meta-prep-entry-date">Published </span> <span class="entry-date updated"><time class="entry-date" datetime="%1$s" itemprop="dateCreated">%2$s</time></span> at <a href="%3$s" title="Link to full-size image">%4$s &times; %5$s</a> in <a href="%6$s" title="Return to %7$s" rel="gallery">%8$s</a>.', APP_TD ),
								esc_attr( get_the_date( 'c' ) ),
								esc_html( get_the_date() ),
								esc_url( wp_get_attachment_url() ),
								$metadata['width'],
								$metadata['height'],
								esc_url( get_permalink( $post->post_parent ) ),
								esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ),
								get_the_title( $post->post_parent )
							);
						?>
						<?php edit_post_link( __( 'Edit', APP_TD ), '<span class="edit-link">', '</span>' ); ?>
						<meta itemprop="thumbnailUrl" content="<?php esc_attr_e( wp_get_attachment_thumb_url( get_post_thumbnail_id() ) ); ?>" />
					</div><!-- .section-meta -->

					<nav id="image-navigation" class="navigation" role="navigation">
						<span class="previous-image"><?php previous_image_link( false, __( '&larr; Previous', APP_TD ) ); ?></span>
						<span class="next-image"><?php next_image_link( false, __( 'Next &rarr;', APP_TD ) ); ?></span>
					</nav><!-- #image-navigation -->

				</div><!-- .section-head -->
			</div><!-- .section-head-container -->

			<?php appthemes_after_page_title(); ?>

			<section id="overview">

				<?php appthemes_before_page_content(); ?>

				<div class="entry-attachment">
					<div class="attachment">
						<?php
						$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );

						foreach ( $attachments as $k => $attachment ) {
							if ( $attachment->ID == $post->ID )
								break;
						}

						$k++;
						// If there is more than 1 attachment in a gallery
						if ( count( $attachments ) > 1 ) {
							if ( isset( $attachments[ $k ] ) ) {
								// get the URL of the next image attachment
								$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
							} else {
								// or get the URL of the first image attachment
								$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
							}
						} else {
							// or, if there's only 1 image, get the URL of the image
							$next_attachment_url = wp_get_attachment_url();
						}
						?>
						<a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>" rel="attachment">
							<?php
								$attachment_size = apply_filters( 'ideax_attachment_size', array( 960, 960 ) );
								echo wp_get_attachment_image( $post->ID, $attachment_size );
							?>
						</a>

						<?php if ( ! empty( $post->post_excerpt ) ) : ?>
							<div class="entry-caption">
								<?php the_excerpt(); ?>
							</div>
						<?php endif; ?>

					</div><!-- .attachment -->

				</div><!-- .entry-attachment -->

				<?php the_content(); ?>

				<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', APP_TD ), 'after' => '</div>' ) ); ?>

				<?php appthemes_after_page_content(); ?>

			</section>

		</article>

		<?php comments_template(); ?>

		<?php appthemes_after_page(); ?>

	<?php endwhile; ?>

	<?php appthemes_after_page_loop(); ?>

</div><!-- /#main -->
