(function($) {
	'use strict';	

	function IdeaVote( postID, userID, voteVal ) {
		$.ajax({
			type: 'post',
			dataType: 'json',
			data: { action: 'ideax_idea_vote', nonce: ideax_i18n.nonce, postid: postID, userid: userID, vote: voteVal },
			url: ideax_i18n.ajaxurl,
			beforeSend: function() {
				$('#vote-up-down').hide();
				$('#voteerror').hide();
				$('#loading').show();
			},
			success: function( data ) {
				if ( data.success == true ) {
					$('.stats span').html(data.votes).fadeOut('slow').fadeIn('slow');
					$('#vote-up-down').fadeIn('fast');
				} else {
					$('#voteerror').html(data.message).fadeIn('slow').show();
				}
				$('#loading').hide();
			}
		});
		return false;
	}

	$('#vote-up-down a.up').click( function(e) {
		new IdeaVote( ideax_i18n.idea_id, ideax_i18n.user_id, 1 );
		e.preventDefault();
	});

	$('#vote-up-down a.down').click( function(e) {
		new IdeaVote( ideax_i18n.idea_id, ideax_i18n.user_id, -1 );
		e.preventDefault();
	});

})(jQuery);
